﻿// =====================================================================
//
//  This file is part of the Microsoft Dynamics CRM SDK code samples.
//
//  Copyright (C) Microsoft Corporation.  All rights reserved.
//
//  This source code is intended only as a supplement to Microsoft
//  Development Tools and/or on-line documentation.  See these other
//  materials for detailed information regarding Microsoft code samples.
//
//  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
//  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
//  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
//  PARTICULAR PURPOSE.
//
// =====================================================================
#region

using System;

#endregion

namespace Microsoft.Xrm.Sdk.Client.Protocols.Policy
{
	public sealed class RequestSecurityTokenTemplate : TokenTemplate
	{
		public String KeyType
		{
			get { return GetPropertyValue("KeyType"); }
			set { SetPropertyValue("KeyType", value); }
		}

		public String KeySize
		{
			get { return GetPropertyValue("KeySize"); }
			set { SetPropertyValue("KeySize", value); }
		}

		public String KeyWrapAlgorithm
		{
			get { return GetPropertyValue("KeyWrapAlgorithm"); }
			set { SetPropertyValue("KeyWrapAlgorithm", value); }
		}

		public String EncryptWith
		{
			get { return GetPropertyValue("EncryptWith"); }
			set { SetPropertyValue("EncryptWith", value); }
		}

		public String SignatureAlgorithm
		{
			get { return GetPropertyValue("SignatureAlgorithm"); }
			set { SetPropertyValue("SignatureAlgorithm", value); }
		}

		public String CanonicalizationAlgorithm
		{
			get { return GetPropertyValue("CanonicalizationAlgorithm"); }
			set { SetPropertyValue("CanonicalizationAlgorithm", value); }
		}

		public String EncryptionAlgorithm
		{
			get { return GetPropertyValue("EncryptionAlgorithm"); }
			set { SetPropertyValue("EncryptionAlgorithm", value); }
		}
	}
}
