﻿// =====================================================================
//
//  This file is part of the Microsoft Dynamics CRM SDK code samples.
//
//  Copyright (C) Microsoft Corporation.  All rights reserved.
//
//  This source code is intended only as a supplement to Microsoft
//  Development Tools and/or on-line documentation.  See these other
//  materials for detailed information regarding Microsoft code samples.
//
//  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
//  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
//  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
//  PARTICULAR PURPOSE.
//
// =====================================================================
using System;

namespace Microsoft.Xrm.Sdk
{
	public static class ClaimTypes
	{
		#region Members

		public static readonly String Organization = Microsoft.Xrm.Sdk.XmlNamespaces.V5.Claims + @"/Organization";
		public static readonly String User = Microsoft.Xrm.Sdk.XmlNamespaces.V5.Claims + @"/User";
		public static readonly String InitiatingUser = Microsoft.Xrm.Sdk.XmlNamespaces.V5.Claims + @"/InitiatingUser";
		public static readonly String PluginAssembly = Microsoft.Xrm.Sdk.XmlNamespaces.V5.Claims + @"/PluginAssembly";
		public static readonly String PluginPublisher = Microsoft.Xrm.Sdk.XmlNamespaces.V5.Claims + @"/PluginPublisher";

		#endregion
	}
}
