﻿// =====================================================================
//
//  This file is part of the Microsoft Dynamics CRM SDK code samples.
//
//  Copyright (C) Microsoft Corporation.  All rights reserved.
//
//  This source code is intended only as a supplement to Microsoft
//  Development Tools and/or on-line documentation.  See these other
//  materials for detailed information regarding Microsoft code samples.
//
//  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
//  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
//  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
//  PARTICULAR PURPOSE.
//
// =====================================================================
using System.Runtime.Serialization;

namespace Microsoft.Xrm.Sdk.Metadata
{
	[DataContract(Name = "PrivilegeType", Namespace = Microsoft.Xrm.Sdk.XmlNamespaces.V5.Metadata)]
	public enum PrivilegeType
	{
		[EnumMember(Value = "None")]
		None = 0,
		[EnumMember(Value = "Create")]
		Create = 1,
		[EnumMember(Value = "Read")]
		Read = 2,
		[EnumMember(Value = "Write")]
		Write = 3,
		[EnumMember(Value = "Delete")]
		Delete = 4,
		[EnumMember(Value = "Assign")]
		Assign = 5,
		[EnumMember(Value = "Share")]
		Share = 6,
		[EnumMember(Value = "Append")]
		Append = 7,
		[EnumMember(Value = "AppendTo")]
		AppendTo = 8
	}
}
