﻿// =====================================================================
//
//  This file is part of the Microsoft Dynamics CRM SDK code samples.
//
//  Copyright (C) Microsoft Corporation.  All rights reserved.
//
//  This source code is intended only as a supplement to Microsoft
//  Development Tools and/or on-line documentation.  See these other
//  materials for detailed information regarding Microsoft code samples.
//
//  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
//  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
//  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
//  PARTICULAR PURPOSE.
//
// =====================================================================
using System.Runtime.Serialization;

namespace Microsoft.Xrm.Sdk.Metadata
{
	[DataContract(Name = "StringFormat", Namespace = XmlNamespaces.V5.Metadata)]
	public enum StringFormat
	{
		[EnumMember(Value = "Email")]
		Email = 0,
		[EnumMember(Value = "Text")]
		Text = 1,
		[EnumMember(Value = "TextArea")]
		TextArea = 2,
		[EnumMember(Value = "Url")]
		Url = 3,
		[EnumMember(Value = "TickerSymbol")]
		TickerSymbol = 4,
		[EnumMember(Value = "PhoneticGuide")]
		PhoneticGuide = 5,
		[EnumMember(Value = "VersionNumber")]
		VersionNumber = 6

	}
}
