﻿// =====================================================================
//
//  This file is part of the Microsoft Dynamics CRM SDK code samples.
//
//  Copyright (C) Microsoft Corporation.  All rights reserved.
//
//  This source code is intended only as a supplement to Microsoft
//  Development Tools and/or on-line documentation.  See these other
//  materials for detailed information regarding Microsoft code samples.
//
//  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
//  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
//  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
//  PARTICULAR PURPOSE.
//
// =====================================================================


namespace SL.IdentityModel.Services
{
	/// <summary>
	/// Class represents a WS-Trust Security Token Service
	/// </summary>
	public class WSTrustSecurityTokenService : ISecurityTokenService
	{
		/// <summary>
		/// Credential type used by the service
		/// </summary>
		public WSTrustBindingCredentialType CredentialType { get; set; }

		/// <summary>
		/// Url for the service endpoint
		/// </summary>
		public string Endpoint { get; set; }
	}
}
