// =====================================================================
//
//  This file is part of the Microsoft Dynamics CRM SDK code samples.
//
//  Copyright (C) Microsoft Corporation.  All rights reserved.
//
//  This source code is intended only as a supplement to Microsoft
//  Development Tools and/or on-line documentation.  See these other
//  materials for detailed information regarding Microsoft code samples.
//
//  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
//  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
//  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
//  PARTICULAR PURPOSE.
//
// =====================================================================
using System.Diagnostics.CodeAnalysis;

[assembly: SuppressMessage("Microsoft.MSInternal", "CA900:AptcaAssembliesShouldBeReviewed", Justification = "Reviewed - Security code reviews in July, 2010.")]
// NOTE: DO NOT add fxcop suppressions for types other than generated messages.
[module: SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly", Scope = "member", Target = "Microsoft.Xrm.Sdk.Messages.DisassociateRequest.#RelatedEntities")]
[module: SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly", Scope = "member", Target = "Microsoft.Xrm.Sdk.Messages.AssociateRequest.#RelatedEntities")]
[module: SuppressMessage("Microsoft.Naming", "CA1709:IdentifiersShouldBeCasedCorrectly", Scope = "member", Target = "Microsoft.Xrm.Sdk.Messages.CreateResponse.#id", MessageId = "id")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Xrm.Sdk.Messages.GetValidManyToManyResponse.#EntityNames")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Xrm.Sdk.Messages.RetrieveAllManagedPropertiesResponse.#ManagedPropertyMetadata")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Xrm.Sdk.Messages.RetrieveAllEntitiesResponse.#EntityMetadata")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Xrm.Sdk.Messages.GetValidReferencingEntitiesResponse.#EntityNames")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Xrm.Sdk.Messages.RetrieveAllOptionSetsResponse.#OptionSetMetadata")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Xrm.Sdk.Messages.OrderOptionRequest.#Values")]
[module: SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays", Scope = "member", Target = "Microsoft.Xrm.Sdk.Messages.GetValidReferencedEntitiesResponse.#EntityNames")]
// NOTE: DO NOT add fxcop suppressions for types other than generated messages.
