﻿// =====================================================================
//
//  This file is part of the Microsoft Dynamics CRM SDK code samples.
//
//  Copyright (C) Microsoft Corporation.  All rights reserved.
//
//  This source code is intended only as a supplement to Microsoft
//  Development Tools and/or on-line documentation.  See these other
//  materials for detailed information regarding Microsoft code samples.
//
//  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
//  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
//  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
//  PARTICULAR PURPOSE.
//
// =====================================================================
using System.Runtime.Serialization;

namespace Microsoft.Xrm.Sdk.Metadata
{
	[DataContract(Name = "AttributeTypeCode", Namespace = XmlNamespaces.V5.Metadata)]
	public enum AttributeTypeCode
	{
		[EnumMember(Value = "Boolean")]
		Boolean = 0,
		[EnumMember(Value = "Customer")]
		Customer = 1,
		[EnumMember(Value = "DateTime")]
		DateTime = 2,
		[EnumMember(Value = "Decimal")]
		Decimal = 3,
		[EnumMember(Value = "Double")]
		Double = 4,
		[EnumMember(Value = "Integer")]
		Integer = 5,
		[EnumMember(Value = "Lookup")]
		Lookup = 6,
		[EnumMember(Value = "Memo")]
		Memo = 7,
		[EnumMember(Value = "Money")]
		Money = 8,
		[EnumMember(Value = "Owner")]
		Owner = 9,
		[EnumMember(Value = "PartyList")]
		PartyList = 10,
		[EnumMember(Value = "Picklist")]
		Picklist = 11,
		[EnumMember(Value = "State")]
		State = 12,
		[EnumMember(Value = "Status")]
		Status = 13,
		[EnumMember(Value = "String")]
		String = 14,
		[EnumMember(Value = "Uniqueidentifier")]
		Uniqueidentifier = 15,
		[EnumMember(Value = "CalendarRules")]
		CalendarRules = 16,
		[EnumMember(Value = "Virtual")]
		Virtual = 17,
		[EnumMember(Value = "BigInt")]
		BigInt = 18,
		[EnumMember(Value = "ManagedProperty")]
		ManagedProperty = 19,
		[EnumMember(Value = "EntityName")]
		EntityName = 20,
	}
}
